import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'igx-doughnut-chart-sample';
  public data: Array<any>;
  public brushes: any;

  constructor() {
    this.data = [
      { Label: 'Administration', Value: 2 },
      { Label: 'Sales', Value: 0 },
      { Label: 'IT', Value: 3 },
      { Label: 'Marketing', Value: 0 },
      { Label: 'Development', Value: 4 },
      { Label: 'Customer Support', Value: 6 }
    ];
    this.brushes = this.setBrushes(this.data);
  }

  private setBrushes(data): any {
    const brushes = ['orange', 'red', 'green', 'blue', 'black', 'purple'];
    for (let i = data.length - 1; i > 0 ; i--) {
      // 値が 0 の場合、ブラシコレクションから色要素を削除する。
      if (data[i].Value === 0) {
        brushes.splice(i, 1);
      }
    }
    return brushes;
  }
}
